<template>
  <div>
    <div class="q-pa-md row" style="margin-top: 50px; width: 99%">
      <div class="row no-wrap items-center col-md-9 col-lg-9 col-sm-9">
        <div class="text-h4 q-ml-md ">Tambah FAQ</div>
      </div>
      <div class="col-md-3 col-lg-3 col-sm-3" style="">
        <q-btn  style="float: right" color="orange" icon="add" label="Kembali" />
      </div>
      </div>

        <div class="q-pa-md" style="width: 95%; background: #4caf50; color: white; margin-left: auto; margin-right: auto; box-shadow: 0 0px 8px 0 rgba(0,0,0,0.2), -7px 0 5px -3px #4caf50">
          <h6 style="margin: 0px">Data FAQ</h6>
        </div>

        <div class="q-pa-md" style="width: 95%; padding: 0; margin: auto; box-shadow: 0 0px 8px 0 rgba(0,0,0,0.2), -7px 0 5px -3px #4caf50">
          <p>&nbsp;</p>
          <div class="row" style="margin-left: 20px;">
            <div class="col-md-2 row">
            <p style="font-size: 20px;">
              Kategori
            </p>
              <q-btn
                v-for="size in sizes" :key="`btn_size_rd_${size}`"
                rounded
                color="grey-5"
                :size="size"
                :label="`Wajib`"
                style="height: 20px; margin-top: 5px; margin-left: 5px"
              /></td>
            </div>
            <div class="col-md-10">
            <q-input style="width: 98%" outlined v-model="text" dense/>
            </div>
          </div>


          <div class="q-pa-md q-gutter-sm">
              <q-editor
                v-model="qeditor"
                :dense="$q.screen.lt.md"
                :toolbar="[
        [
          {
            label: $q.lang.editor.align,
            icon: $q.iconSet.editor.align,
            fixedLabel: true,
            list: 'only-icons',
            options: ['left', 'center', 'right', 'justify']
          },
          {
            label: $q.lang.editor.align,
            icon: $q.iconSet.editor.align,
            fixedLabel: true,
            options: ['left', 'center', 'right', 'justify']
          }
        ],
        ['bold', 'italic', 'strike', 'underline', 'subscript', 'superscript'],
        ['token', 'hr', 'link', 'custom_btn'],
        ['print', 'fullscreen'],
        [
          {
            label: $q.lang.editor.formatting,
            icon: $q.iconSet.editor.formatting,
            list: 'no-icons',
            options: ['p', 'h1', 'h2', 'h3', 'h4', 'h5', 'h6', 'code']
          },
          {
            label: $q.lang.editor.fontSize,
            icon: $q.iconSet.editor.fontSize,
            fixedLabel: true,
            fixedIcon: true,
            list: 'no-icons',
            options: [
              'size-1',
              'size-2',
              'size-3',
              'size-4',
              'size-5',
              'size-6',
              'size-7'
            ]
          },
          {
            label: $q.lang.editor.defaultFont,
            icon: $q.iconSet.editor.font,
            fixedIcon: true,
            list: 'no-icons',
            options: [
              'default_font',
              'arial',
              'arial_black',
              'comic_sans',
              'courier_new',
              'impact',
              'lucida_grande',
              'times_new_roman',
              'verdana'
            ]
          },
          'removeFormat'
        ],
        ['quote', 'unordered', 'ordered', 'outdent', 'indent'],

        ['undo', 'redo'],
        ['viewsource']
      ]"
                :fonts="{
        arial: 'Arial',
        arial_black: 'Arial Black',
        comic_sans: 'Comic Sans MS',
        courier_new: 'Courier New',
        impact: 'Impact',
        lucida_grande: 'Lucida Grande',
        times_new_roman: 'Times New Roman',
        verdana: 'Verdana'
      }"
              />
            </div>


        <div style="margin-top: 20px; margin-left: 20px; margin-right:auto; margin-bottom: 50px; width: 80%">
          <q-btn @click="submitProvider()"  label="Simpan" type="submit" color="green"/>
        </div>
        <p>&nbsp;</p>
      </div>



    </div>

  </div>
</template>


<script>
export default {
  data() {
    return {
      sizes: [ 'xs', ],
      icons: [
        'navigation',
        'add_a_photo',
        'camera',
        'camera_front',
        'my_location'
      ],
      editor:
        "Here we are overriding the <b>bold</b> command to include a label instead of an icon and also changing its tooltip."
    };
  }
};
</script>






<style lang="scss" scoped>


</style>
